The m17n Library: Data Fields

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - c -

- Mcase_mapping : m17n-core.h , character.c
- Mcased : character.c , m17n-core.h
- Mcategory : m17n-core.h , character.c
- mchar_decode() : charset.c , m17n.h
- mchar_define_charset() : m17n.h , charset.c
- mchar_define_property() : m17n-core.h , character.c
- mchar_encode() : m17n.h , charset.c
- mchar_get_prop() : character.c , m17n-core.h
- mchar_get_prop_table() : m17n-core.h , character.c
- MCHAR_INVALID_CODE : charset.c
- mchar_list_charset() : m17n.h , charset.c
- mchar_map_charset() : m17n.h , charset.c
- MCHAR_MAX : character.c
- mchar_put_prop() : m17n-core.h , character.c
- mchar_resolve_charset() : m17n.h , charset.c
- Mchar_table : m17n-core.h , chartab.c
- Mcharset : database.c , m17n-core.h
- Mcharset_ascii : m17n.h , charset.c
- Mcharset_binary : m17n.h , charset.c
- Mcharset_iso_8859_1 : m17n.h , charset.c
- Mcharset_m17n : m17n.h , charset.c
- Mcharset_unicode : m17n.h , charset.c
- Mcharsets : m17n.h , coding.c
- mchartable() : m17n-core.h , chartab.c
- MCharTable : m17n-core.h
- mchartable_lookup() : m17n-core.h , chartab.c
- mchartable_map() : m17n-core.h , chartab.c
- mchartable_max_char() : m17n-core.h , chartab.c
- mchartable_min_char() : m17n-core.h , chartab.c
- mchartable_range() : m17n-core.h , chartab.c
- mchartable_set() : m17n-core.h , chartab.c
- mchartable_set_range() : m17n-core.h , chartab.c
- Mcode_unit : m17n.h , coding.c
- Mcodeset : m17n.h , locale.c
- Mcoding : m17n.h , coding.c
- Mcoding_iso_8859_1 : m17n.h , coding.c
- MCODING_ISO_DESIGNATION_CTEXT : m17n.h
- MCODING_ISO_DESIGNATION_CTEXT_EXT : m17n.h
- MCODING_ISO_DESIGNATION_G0 : m17n.h
- MCODING_ISO_DESIGNATION_G1 : m17n.h
- MCODING_ISO_EIGHT_BIT : m17n.h
- MCODING_ISO_EUC_TW_SHIFT : m17n.h
- MCODING_ISO_FLAG_MAX : m17n.h
- MCODING_ISO_FULL_SUPPORT : m17n.h
- MCODING_ISO_ISO6429 : m17n.h
- MCODING_ISO_LOCKING_SHIFT : m17n.h
- MCODING_ISO_LONG_FORM : m17n.h
- MCODING_ISO_RESET_AT_CNTL : m17n.h
- MCODING_ISO_RESET_AT_EOL : m17n.h
- MCODING_ISO_REVISION_NUMBER : m17n.h
- MCODING_ISO_SINGLE_SHIFT : m17n.h
- MCODING_ISO_SINGLE_SHIFT_7 : m17n.h
- Mcoding_sjis : m17n.h , coding.c
- MCODING_TYPE_CHARSET : m17n.h
- MCODING_TYPE_ISO_2022 : m17n.h
- MCODING_TYPE_MISC : m17n.h
- MCODING_TYPE_UTF : m17n.h
- Mcoding_us_ascii : m17n.h , coding.c
- Mcoding_utf_16 : coding.c , m17n.h
- Mcoding_utf_16be : m17n.h , coding.c
- Mcoding_utf_16le : m17n.h , coding.c
- Mcoding_utf_32 : m17n.h , coding.c
- Mcoding_utf_32be : coding.c , m17n.h
- Mcoding_utf_32le : m17n.h , coding.c
- Mcoding_utf_8 : coding.c , m17n.h
- Mcoding_utf_8_full : m17n.h , coding.c
- MCodingFlagISO2022 : m17n.h
- MCodingType : m17n.h
- Mcolormap : m17n-gui.h , m17n-gui.c
- Mcombining_class : m17n-core.h , character.c
- Mcomplicated_case_folding : character.c , m17n-core.h
- Mconfigured : m17n.h , input.c
- mconv_buffer_converter() : coding.c , m17n.h
- mconv_decode() : coding.c , m17n.h
- mconv_decode_buffer() : coding.c , m17n.h
- mconv_decode_stream() : m17n.h , coding.c
- mconv_define_coding() : m17n.h , coding.c
- mconv_encode() : m17n.h , coding.c
- mconv_encode_buffer() : m17n.h , coding.c
- mconv_encode_range() : coding.c , m17n.h
- mconv_encode_stream() : m17n.h , coding.c
- mconv_free_converter() : coding.c , m17n.h
- mconv_getc() : m17n.h , coding.c
- mconv_gets() : m17n.h , coding.c
- mconv_list_codings() : m17n.h , coding.c
- mconv_putc() : m17n.h , coding.c
- mconv_rebind_buffer() : m17n.h , coding.c
- mconv_rebind_stream() : m17n.h , coding.c
- mconv_reset_converter() : m17n.h , coding.c
- mconv_resolve_coding() : coding.c , m17n.h
- mconv_stream_converter() : coding.c , m17n.h
- mconv_ungetc() : m17n.h , coding.c
- MCONVERSION_RESULT_INSUFFICIENT_DST : m17n.h
- MCONVERSION_RESULT_INSUFFICIENT_SRC : m17n.h
- MCONVERSION_RESULT_INVALID_BYTE : m17n.h
- MCONVERSION_RESULT_INVALID_CHAR : m17n.h
- MCONVERSION_RESULT_IO_ERROR : m17n.h
- MCONVERSION_RESULT_SUCCESS : m17n.h
- MConversionResult : m17n.h
- Mcustomized : m17n.h , input.c